Gecode::Float::Branch::MeritSize Class Reference
Other available functionality » Merit-based float view selection for branchers

Merit class for size of float view. More...

`#include <branch.hh>`

## Public Member Functions

| MeritSize (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritSize (Space &home, MeritSize &m)
| Constructor for cloning.
double | operator() (const Space &home, FloatView x, int i)
| Return size as merit for view x at position i.
Public Member Functions inherited from Gecode::MeritBase< FloatView, double >
| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Additional Inherited Members

Public Types inherited from Gecode::MeritBase< FloatView, double >
typedef FloatView | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef double | Val
| Type of merit.

## Detailed Description

Merit class for size of float view.

Requires

#include <gecode/float/branch.hh>
branch.hh

Definition at line 98 of file branch.hh.

## Constructor & Destructor Documentation

## MeritSize() [1/2]

Gecode::Float::Branch::MeritSize::MeritSize | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 66 of file merit.hpp.

## MeritSize() [2/2]

Gecode::Float::Branch::MeritSize::MeritSize | ( | Space & | home,
|  | MeritSize & | m )

inline

Constructor for cloning.

Definition at line 69 of file merit.hpp.

## Member Function Documentation

## operator()()

double Gecode::Float::Branch::MeritSize::operator() | ( | const Space & | home,
|  | FloatView | x,
|  | int | i )

inline

Return size as merit for view x at position i.

Definition at line 72 of file merit.hpp.

The documentation for this class was generated from the following files:

- gecode/float/branch.hh
- gecode/float/branch/merit.hpp